uw-imap (8:2007f~dfsg-5build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:29:28 +0000

uw-imap (8:2007f~dfsg-5) unstable; urgency=low

  * 1006_openssl1.1_autoverify.patch (new): Use new features for
    validating certificates when building with OpenSSL 1.1 (Closes:
    #828589). Thanks to Sebastian Andrzej Siewior and Kurt Roeckx for
    help.
  * Switch to Debhelper compat level 9.
  * Bump Standards-Version to 3.9.8.
  * Update Build-Depends with cdbs.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 23 Nov 2016 22:25:10 +0100

uw-imap (8:2007f~dfsg-4) unstable; urgency=medium

  * 2012_krb5_multidev.patch: Fix typo mixing up --cflags and --libs
    causing libc-client not to be linked to the kerberos libraries
    (Closes: #766526).
  * Tell d-shlibmove to substitute krb5-multidev for libkrb5-dev.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 24 Oct 2014 22:40:53 +0200

uw-imap (8:2007f~dfsg-3) unstable; urgency=low

  * 2012_krb5_multidev.patch (new): Depend on krb5-multidev rather than
    libkrb5-dev (Closes: #745333). Thanks to Jelmer Vernooij.
  * 1005_poll.patch (new): Use poll(2) instead of select(2) to support
    more than 1024 file descriptors (Closes: #478193). Thanks to Ben
    Smithurst.
  * Bump Standards-Version to 3.9.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 19 Oct 2014 23:01:35 +0200

uw-imap (8:2007f~dfsg-2) unstable; urgency=medium

  * New maintainer (Closes: #686448).
  * Disable unnecessarily strict version check (Closes: #682256).

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 25 Oct 2012 23:00:39 +0200

uw-imap (8:2007f~dfsg-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#656074. Thanks to Ivan Shmakov.

  * Stop shipping uw-imapd or ipopd daemons: Code is in bad shape and
    better alternatives exist.
  * Lower Priority of libc-client-*-dev to extra: Depends on similarly
    prioritized comerr-dev and libkrb5-dev.
  * Drop locally included CDBS snippets: Adopted upstream.
  * Use dpkg source format 3.0 (quilt).
    Stop including patchsys-quilt.mk and update README.source to not
    mention quilt.
    Git-ignore quilt .pc subidr.
  * Update rules file licensing header:
    + Extend years, and list them explicitly.
    + Refer to FSF web URL (not postal address).
  * Bump debhelper compat level to 7.
  * Unfuzz patches and refresh using quilt shortening options -pab
    --no-timestamps --no-index.
  * Fix use target build-arch (not build).
    Closes: bug#666288. Thanks to Lucas Nussbaum.
  * Add patch 1003 to properly zero out len when mail_fetch_body()
    returns an empty string.
    Closes: bug#635839. Thanks to Vladimir Kolesnikov and Daniel T Chen.
  * Add patch 1004 to implement support for IMAP extension METADATA
    (rfc5464).
    Closes: bug#456591. Thanks to Mathieu Parent and Kolab project.
  * Explicitly pass LDFLAGS to build, to hopefully include eventual
    hardening flags.
  * Extend patch 1001 to explicitly link against all used Kerberos libs.
    Closes: bug#558968. Thanks to Peter Fritzsche and Matthias Klose.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update package relations:
    + Sort and newline-delimit package relations.
    + Stop build-depending on quilt or patchutils: unneeded with source
      version 3.0 (quilt).
    + Relax to build-depend unversioned on debhelper and devscripts:
      Required versions satisfied even in oldstable.
    + Tighten build-dependency on cdbs.
    + Stop build-depending on perl: Was used in a CDBS snippet which is
      now dropped.
    + Stop build-depending on po-debconf: Was used for debconf of daemon
      packages which are now dropped.
  * Rewrite copyright file using format 1.0.
  * Fix version in NEWS entry, to silence lintian (sadly it is 6 years
    too late to be of real benefit).
  * Drop stray substvars file from source packaging. Thanks to lintian.
  * Hardcode CDBS-resolved build flags, and stuff CPPFLAGS into CFLAGS,
    to enable hardening.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Jun 2012 13:07:15 +0200

uw-imap (8:2007e~dfsg-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #625525
    - Polish (Michał Kułach).  Closes: #657764
    - Indonesian (Mahyuddin Susanto).  Closes: #657821

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Feb 2012 07:31:02 +0100

uw-imap (8:2007e~dfsg-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with flag -Werror=format-security. Patch by Aurélien Jarno.
   (Closes: #646481). 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 03 Dec 2011 22:28:48 +0100

uw-imap (8:2007e~dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add Provides to virtual pop3-server and imap-server to avoid file
    conflicts with alternative daemons. (Closes: #550380)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 23 Jan 2010 17:16:33 +0100

uw-imap (8:2007e~dfsg-3) unstable; urgency=low

  * Fix have ipopd (not uw-imapd) conflict/replace virtual pop3-server.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Oct 2009 22:31:48 +0200

uw-imap (8:2007e~dfsg-2) unstable; urgency=low

  * Explicitly conflict with alternate imap/pop daemons which use
    identical filenames. Closes: bug#550380, thanks to Ralf Treinen.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Oct 2009 22:24:04 +0200

uw-imap (8:2007e~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright:
    + Add X-Files-Stripped and X-Files-Stripped-Reason notes for files
      stripped in repackaged source
    + Update contact infor for upstream author
    + Attach note on Debian-distributed license texts to respective tags
    + Bump to revision 413 of new copyright format
  * Recommend default-mta (not exim4) as, well, default MTA.
  * Have uw-imapd and ipopd PAM files include common-session-
    noninteractive (not common-session), and tighten dependencies on
    libpam-runtime to versions providing the included file.
  * Drop patches 0001-0003 part of current upstream source.
  * Drop patch 1003 (maildir support) as it is not freely licensed and
    its author has explicitly requested its removal.  Add NEWS item and
    rewrite README.Debian section.  Update debian/control.
  * Stop SONAME from auto-bumping with each new release (but do bump
    this time around due to dropped Maildir patch).
  * Rewrite README.source to no longer describe source contents but
    mention the use of Git, CDBS, quilt and DEB_MAINTAINER_MODE. Drop
    README.cdbs-tweaks and cdbs-specific notes in debian/rules.
  * Add git-buildpackage configfile, enabling signed tags and
    pristine-tar.
  * Update CDBS snippets:
    + Add CDBS snippet package-relations.mk.
    + Consistently use underscore (not dash) in variables.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Drop no longer used -ssl README.debian files.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
  * Resolve, cleanup and apply CDBS-declared dependencies using
    package-relations.mk.
  * Update copyright info:
    + Rewrite to rev54 of DEB5 draft machine-readable format.
    + Extend copyright years for debian/*.
    + Add Source stanza.
    + Add copyright and licensing infor for PO files.
    + Fix set Stanford University as copyright holder (not license).
  * Fix tighten build-dependency on debhelper (5.0.44 too old for v6).
  * Bump policy-compliance to Standards-Version 3.8.0 (mailbox access
    requirements might not comply with Policy v3.8.1 or newer).
  * Always depend on ${misc:Depends} (not only when known needed).
  * Use lowercase hostname variable in postinsts to not bogusly upset
    lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Oct 2009 15:15:57 +0200

uw-imap (8:2007b~dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix denial of service vulnerability because of rfc822_output_char() not
    checking for a full buffer and writing one byte ahead the buffer, later
    resulting in memcpy getting called with a possible size argument of -1
    (0003_CVE-2008-5514.patch; Closes: #510918)

 -- Nico Golde <nion@debian.org>  Thu, 15 Jan 2009 19:00:01 +0100

uw-imap (8:2007b~dfsg-1) unstable; urgency=medium

  * Revert to older upstream 2007b, and instead bump epoc, as simplest
    possible apporach to get back to old soname, needed for the frozen
    Lenny. Thanks to Adeodato Simó for educating me about the problem
    and coming up with the solution.
  * Add patch 0001 from newer 2007d release, fixing local exploitable
    security hole in dmail and tmail. Thanks to Tomas Pospisek for
    reporting.
  * Add patch 0002 from newer 2007d release, to not close already closed
    smtp netstream.
  * Set urgency=medium due to soname fix (security issue already in
    7:2007d~dfsg-1 and 7:2007b~dfsg-4+lenny1, so urgency=high unneeded.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Dec 2008 03:22:45 +0100

uw-imap (7:2007d~dfsg-1) unstable; urgency=high

  * New upstream release.
  * Set urgency=high as this release fixes a locally exploitable hole in
    dmail and tmail.
  * Update cdbs snippets:
    + Restructure output of copyright-check.mk to match new proposed
      copyright-format at
      http://wiki.debian.org/Proposals/CopyrightFormat .
    + Several minor improvements to upstream-tarball.mk.
    + Add new local package-relations.mk to merge duplicate
      build-dependencies and more.  Drop cleanup in debian/rules.
    + Update debian/README.cdbs-tweaks.
  * Update copyright hints.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
  * Semi-auto-update debian/control to update dependencies:
      DEB_MAINTAINER_MODE=1 fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Nov 2008 13:19:02 +0100

uw-imap (7:2007b~dfsg-3) unstable; urgency=high

  * Fix patch 1001 to properly include IP6 flag, so package get compiled
    with IPv6 support as intended.  Closes: bug#268251, thanks to
    Herbert Meier and others for reporting and to Christophe Wolfhugel
    for spotting the cause of the problem and providing a patch.
  * Setting urgency=high as this is a regression to earlier releases,
    and the fix is quite small.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Aug 2008 09:57:49 +0200

uw-imap (7:2007b~dfsg-2) unstable; urgency=medium

  * Packaging moved to collab-maint Git at Alioth. Update VCS-* hints.
  * Update Danish (da) locale.
  * Update Brazilian Portuguese (pt_BR). Closes: #469320, thanks to Eder
    L. Marques.
  * Let debhelper install logcheck rules.
  * Fix logcheck rules to ignore connections from resolved domains (not
    only IP numbers).  Closes: bug#298706, #427498, thanks to Donovan
    Baarda and Justin Pryzby.
  * Thanks to Christian Perrier for help pushing this release!
  * Set urgency=medium to hopefully reach Lenny before frozen.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Jul 2008 17:51:37 +0200

uw-imap (7:2007b~dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Unfuzz patches.
  * Update semi-auto-update warning in debian/rules to advertise
    DEB_AUTO_UPDATE_DEBIAN_CONTROL.
  * Update cdbs dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Release for experimental as instructed by Release team at the end of
    http://lists.debian.org/debian-devel-announce/2008/06/msg00000.html
  * Add new file README.source (only draft for now - need more work to
    comply with Debian Policy 3.8).
  * Rewrite debian/copyright:
    + Use recent draft of machine-readable format proposed at
      http://wiki.debian.org/Proposals/CopyrightFormat
    + Refer to Apache 2.0 license at common location, thanks to lintian
    + License debian packaging as GPL-2+
    + Move details on repackaging and Maildir patch to README.source.
  * Strip Macintosh binary from source (in addition to RFC documents).
    Document stripped files in README.source.
  * Rely on debhelper to install lintian overrides (without tightening
    build-dependency: overrides are just gracefully ignored if too old
    debhelper is used), thanks to lintian.
  * Drop deprecated linda overrides, thanks to lintian.
  * Fix referring to /usr/share/doc (not /usr/doc) in a README, thanks
    to lintian.
  * Update local cdbs snippets:
    + Major improvements to copyright-check, most importantly avoiding a
      FTBFS by only warning about changes to copyright-hints by default.
      Update debian/copyright_hints.
    + Various improvements to upstream-tarball.mk, including renaming
      top srcdir in repackaged tarball to $pkg-$ver.orig to comply with
      Developers Reference 6.7.8.2.  Simplify use in debian/rules.
    + Update debian/README.cdbs-tweaks.
  * Bump debhelper compatibility to level 6 (was 4).
  * Semi-auto-update debian/control to apply above cdbs-related changes:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
    This also bumps names of binary library packages (historic artifact
    to cope with restrictive license that has since been improved, but
    too much in the packaging routines is tied to that naming scheme to
    change this close to release of Lenny), and updates README.Debian
    (and more) which closes: bug#461386, thanks to Tomas Pospisek.
  * Set urgency=medium as this should hopefully reach Lenny, due to new
    release containing only bugfixes, and the cdbs fixes to avoid FTBFS.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Jul 2008 10:43:57 +0200

uw-imap (7:2007~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Adjust patches 1001 and 2004 to no longer change hardcoded location
    of LOCKPGM (mlock): Upstream now by default look for the helper app
    at the following locations:
    1) /etc/mlock (the old default, violating Linux FHS)
    2) /usr/libexec/mlock
    3) /usr/bin/mlock (our earlier hardcoded path)
  * Update patch 1003 (or more correctly: Replace with similar patch
    written for alpine instead of pine). Drop now unneeded patch 1011.
  * Unfuzz patches 1001, 1003 and 2002.
  * Update cdbs tweaks:
    + update-tarball improved repackaging
    + Drop local tweak bts.mk (all bugreports are welcome at Debian BTS)
    + Drop local tweak buildcore.mk (superfluous)
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #446204
  * Debconf translation updates
    + Japanese. Closes: #446574
    + Swedish. Closes: #446761
    + Galician. Closes: #446789
    + French. Closes: #446849
    + Turkish. Closes: #446880
    + Vietnamese. Closes: #446903
    + Portuguese. Closes: #444469, #446942
    + Finnish. Closes: #447070
    + Basque. Closes: #447230
    + Czech. Closes: #447435
    + Spanish; Castilian. Closes: #447711
    + Italian. Closes: #448236
    + Russian. Closes: #448322
    + German. Closes: #448383
  * Semi-auto-update debian/control to fix version-specific package
    names:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Dec 2007 20:44:42 +0100

uw-imap (7:2006k~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Unfuzz patches.
  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Update cdbs tweaks:
    + update-tarball needs cdbs 0.4.39 or newer (only relevant for
      backports).
  * Update build-dependency cosmetics in debian/rules, and semi-auto-
    update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build
  * Move Homepage to own field (from pseudo-field in long description).
  * Switch from .dfsg to ~dfsg to make room for point releases.
  * Bump to standards-version 3.7.3 (no changes needed).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Dec 2007 16:41:46 +0100

uw-imap (7:2006j2.dfsg-3) unstable; urgency=low

  * Release for unstable.
  * Describe Maildir support as EXPERIMENTAL in NEWS.Debian.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Aug 2007 17:32:35 +0200

uw-imap (7:2006j2.dfsg-2) experimental; urgency=low

  * Acknowledge NMUs (applied while 2006x was in experimental or
    incoming (editing history is forbidden by policy: See changelog
    entries of those NMUs in BTS):
    + 7:2002edebian1-13.1: Add dutch (nl), german (de), galician (gl)
      and portuguese (pt) l10n. Closes: #364466, #398609, #407895,
      #409409, thanks to Christian Perrier.
    + 7:2002edebian1-13.2: Gracefully handle update-inetd missing in
      postrm scripts. Closes: #417138, #416780, thanks to Steve
      Langasek.
    + 7:2002edebian1-13.3: Gracefully handle debconf missing in postrm
      scripts. Closes: #431527, 431525, thanks to Mario Iseli.
  * Update cdbs tweaks:
    + Preserve upstream name for original source if repackaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Aug 2007 12:41:57 +0200

uw-imap (7:2006j2.dfsg-1) experimental; urgency=low

  * New upstream release.
  * Update local cdbs tweaks:
    + Improved upstream.tarball.mk to support the odd version number.
  * Unfuzz patches.
  * Update references to Maildir patch.
  * Fix __VER__ expansion of debian/copyright.
  * Declare (and cleanup) build-dependencies in debian/rules.
  * Use binNMU-safe ${binary:Version} (not ${Source-Version}) in
    debian/control.
  * Have packages ipopd and uw-imapd depend on openbsd-inetd or
    inet-superserver (not netbase).
  * Add russian (ru) locale. Closes: bug#433107, thanks to Yuri Kozlov.
  * Update brazilian portuguese (pt_BR) locale. Closes: bug#421521,
    thanks to André Luís Lopes.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Jul 2007 11:50:02 +0200

uw-imap (7:2006g.dfsg-1) experimental; urgency=low

  * New upstream release.
  * Fix SONAME versioning, and install using d-shlibmove.
  * Build-depend on po-debconf.
  * Update turkish (tr) debocnf l10n. Closes: bug#417552.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Apr 2007 12:34:33 +0200

uw-imap (7:2006f.dfsg-1) experimental; urgency=low

  * New upstream release.
  * Repackage source to not include RFCs (as was also done with 2006b
    and 2006d too). Closes: bug#393417.
  * Unfuzz patches.
  * Update local cdbs tweaks:
    + Add new local cdbs tweak upstream.tarball.mk to add a
      get-orig-source target and more.
    + Actually load standard buildcore when overloading buildcore.
    + Emit list of suspects if new copyrights are found.
    + Check for copyrights at pre-build (at clean we might run before
      actual cleanup has finished).
    + Suppress BTS report redirection for official Debian suites.
    + Update README.cdbs-tweaks.
  * Update debian/copyright to include the year 2007 in main copyright,
    thanks to copyright-check.mk.
  * Semi-auto-update debian/control
    + This updates library package names in debian/control, and thus
      closes: bug#414290, thanks to Magnus Holmgren.
  * Add rule to fail if building with out-of-sync library version names,
    to avoid the above from reoccuring.
  * Improve debconf templates, thanks to lintian.
  * Depend on ${misc:Depends} (not bogus ${debhelper-depends}), thanks
    to lintian.
  * Fix SONAME (stripping repackaging hint from library version name
    broke it).
  * Rewrite debconf templates to better explain the risk of port choices
    getting ignored. Closes: bug#302577, #302579, #303612.
  * Invoke debconf-updatepo in clean target to ensure debconf
    translations are always up-to-date. Thanks to lintian.
  * Unfuzz danish localization.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Mar 2007 09:49:42 +0100

uw-imap (7:2006d.dfsg-1) experimental; urgency=low

  * Mew upstream release.
  * Maildir patch updated to November 18, 2006 release.
  * Unfuzz other patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Dec 2006 22:03:51 +0100

uw-imap (7:2006b.dfsg-1) experimental; urgency=low

  * New upstream release.
  * Make IPv6 brokenness build-time warning non-interactive.
  * Patch Maildir patch to use CHUNKSIZE (instead of no longer available
    MAXMESSAGESIZE).
  * Improved patch handling:
    + Use quilt patchsystem (instead of internal cdbs simple-patchsys).
    + Renumber patches to indicate their scope.
    + Add debian/patches/README documenting new numbering scheme.
  * Fix manpage symlinks for ipopd.
  * Drop support for backporting to non-Unicode l10n:
    + No longer use custom po-debconf (and tweaked debhelper) cdbs rule.
    + Simplify l10n templates (drop the use of *.template.master files).
    + No longer mention the special handling in README.build.
    + Run debconf-updatepo.
  * No longer mention licensing-mandated version tweak in README.build.
  * Beautify shlib version (strip trailing ".dfsg" from string).

 -- Jonas Smedegaard <dr@jones.dk>  Mon,  9 Oct 2006 20:40:44 +0200

uw-imap (7:2006a.dfsg-1) experimental; urgency=low

  * New upstream release.
  * Upstream source relicensed to use the Apache 2.0 license:
    + Simplify packaging to no longer tweak version number of binaries.
    + Update debian/copyright and debian/copyright_hints.
  * Strip RFCs (as usual) and append .dfsg to version number of source
    package (instead of the now dropped .debianN).
  * Use version resolving provided by cdbs (instead of homemade rules),
    and define revision within debian/rules (not in upstream version).
  * Improve watch file to use dversionmangle (and no hardcoded version).
  * Maildir patch updated to March 12, 2006 release (the one included
    with the below 7:2004g.debian1-1 was the August 03, 2005 release).
  * Unfuzz remeaining patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue,  3 Oct 2006 17:21:59 +0200

uw-imap (7:2004g.debian1-1) experimental; urgency=low

  * New upstream release. Closes: Bug#254238 (thanks to Peter
    Marschall, and to Tzafrir Cohen for spiritual support making it
    finally compile correctly).
  * Strip DFSG-nonfree RFCs and RFC drafts from source.
  * Drop patches applied upstream:
    + 03_avoid_hardcoded_optimization
    + 05_CAN-2005-0198
    + 06_CAN-2005-2933
    + 11_manpages_are_not_local
    + 12_mailutil_manpage_typo
  * Drop part of patch 04_no_binaries_below_etc (that should have been a
    separate patch) about md5 and apop, applied upstream.
  * Remove no longer used md5 code from (Debian patches to) source.
  * Merge patches 01_shlib and 02_mailutils_use_shlib into 01_shlib.
  * Separate part of patch 01_shlib about MAILSPOOL into new patch
    02_mailspool.
  * Unfuzz remaining 2 patches and compact them (speeds patching a bit).
  * Enable IPv6 support. Closes: bug#299818.
  * Improve logcheck rules. Closes: Bug#244324 (thanks to Paul Traina).
  * Improve Debian version handling:
    + Change version number scheme to ${upstream}.debian${debianver}
      (separate upstream and "debian" with a dot) to properly handle
      alphanumerics in upstream version ( 2004debian1 !> 2004ddebian ).
    + Parse more cleverly: Reuse simply expanded variables.
    + Handle UPSTREAMVER and use it to automatically update watch file.
  * Several updates to debian/TODO.Debian.
  * Patch _after_ checking for up-to-date debian/rules, not before.
  * Update cdbs snippets related to po-debconf. Closes: bug#332136
    (thanks to Joey Hess).
  * Add new local cdbs snippet copyright-check.
  * Update remaining cdbs files, and add debian/README.cdbs-tweaks
    documenting their purpose.
  * Add myself as author of debian/rules (nothing is left from debmake).
  * Raise priority again for libc-client-dev from extra to optional, to
    match current overrides.
  * Add new promising Maildir patch. Closes: bug#273678, #230343,
    #312401 (thanks to Tomas Pospisek).
  * Now that Maildir support is added back the high priority debconf
    warning is no longer relevant. Closes: bug#268192 (thanks to
    Christian Perrier).
  * Cleaned up debian/copyright:
    + Update copyright and licensing info:
      - Year 2004 included.
      - Clarified distribution with proprietary systems.
      - Include notes about Maildir patch.
    + Replace info contained in changelog with note on "GNU systems".
    + Declare each topic more strictly.
    + Mention "licensing info" together with copyright.
    + Add (historical) copyright info of Stanford University.
  * Silence some tests in debian/rules.
  * Bump standards-version to 3.7.2 (no changes needed).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Sep 2006 05:46:42 +0200

uw-imap (7:2002edebian1-14) unstable; urgency=low

  * Cleanup dependencies in debian/control:
    + Drop conflicts for packages older than oldstable.
    + Use versioned dev package with conflicts/replaces/provides for
      virtual unversioned package.
    + Stop providing policy-violating virtual package pop2-server.
  * Cleanup debian/rules:
    + Drop no longer used update-control from DEB_PHONY_RULES.
    + Use -L option in DEB_DH_SHLIBDEPS_ARGS (drops support for woody).
    + Always update debian/control.in (only debian/control is holy).
  * Cleanup debian/*.README.Debian:
    + Update (currently unused) maildir notes.
    + Correct typo: s/ipod/ipopd/.
  * Rewrite long descriptions, based on texts from upstream homepage:
    + Advertise the c-client library in uw-imapd and ipopd packages.
    + Drop advertising smtp servers.
    + Warn about lack of Maildir support.
    + Warn about disabling encryption at the library.
    + Add homepage URL.
  * Drop no longer needed transition packages.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Apr 2006 11:59:30 +0200

uw-imap (7:2002edebian1-13) unstable; urgency=low

  * Apply patch fixing IPv6 for ipopd. Closes: bug#348369 (thanks to
    Sjoerd Simons <sjoerd@debian.org>).
  * Improve local cdbs snippets:
    + Fix namespaces.
    + Use newer local debhelper snippet again, this time appending to
      dh_gencontrol rather than override it. Adjust po-debconf.
    + Add and enable new auto-update snippet. Move debian/control.in to
      debian/control.in.in.
  * Correct copyright info for debian/rules (debmake skeleton is long
    gone).
  * Fix order of parameters/options to find in debian/rules.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Jan 2006 18:29:51 +0100

uw-imap (7:2002edebian1-12) unstable; urgency=high

  * Patch src/c-client/mail.c against remote exploitable buffer overflow
    allowing attacker to execute arbitrary code - CAN-2005-2933. This
    closes: bug#332215 (thanks to iDEFENCE and Martin Pitt
    <martin.pitt@canonical.com>).
  * Add/update debconf l10n:
    + Catalan (ca). Closes: Bug#248762 (thanks to Debian L10n Catalan
      Team).
    + Czech (cs). Closes: bug#313261 (thanks to Miroslav Kure
      <kurem@upcase.inf.upol.cz>).
    + French (fr). Closes: Bug#241986 (thanks to debian-l10n-french
      mailing list contributors).
    + Japanese (ja) Closes: Bug#241804 (thanks to Kenshi Muto
      <kmuto@debian.org>).
    + Spanish (es). Closes: bug#323375 (thanks to Carlos Galisteo de
      Cabo <cgalisteo@k-rolus.net>),
    + Swedish (sv). Closes: bug#333346 (thanks to Daniel Nylander
      <yeager@lidkoping.net>).
    + Turkish (tr). Closes: Bug#249129 (thanks to Mehmet Turker).
    + Vietnamese (vi). Closes: bug#324073 (thanks to Vietnamese free-
      software translation team / nhóm Việt hóa phần mềm tự
      do).
  * Modernize maintainer scripts (thanks to lintian):
    + Use `chown uid:gid` (not `chown uid.gid`).
    + Use [ test1 ] && [ test2 ] (not [ test1 -a test2 ]).
  * Source debconf in libc-clientXXX postinst even if unused (thanks to
    lintian).
  * Claim compliance with Policy 3.6.2 (no changes needed).
  * Set urgency=high due to security fix.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Oct 2005 16:24:14 +0200

uw-imap (7:2002edebian1-11) unstable; urgency=high

  * Update l12n:
    + Japanese (ja). Closes: bug#306940 (thanks to Kenshi Muto
      <kmuto@debian.org>).
    + French (fr). Closes: bug#303982 (thanks to Christian Perrier
      <bubulle@debian.org>).
    + Danish (da). Closes: bug#303443 (thanks to Morten Brix Pedersen
      <morten@wtf.dk>).
  * Setting urgency=high as this contains only l12n updates and is
    wanted for sarge.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2005 02:43:11 +0200

uw-imap (7:2002edebian1-10) unstable; urgency=high

  * Have uw-imapd and ipopd depend on netbase (I thought that package
    was required but it is "just" important). Closes (but only when this
    has entered sarge): bug#308401 (thanks to Frank Lichtenfeld
    <djpig@debian.org>).
  * Set urgency high as this is policy violating and should go into
    sarge if at all possible.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 May 2005 09:14:52 +0200

uw-imap (7:2002edebian1-9) unstable; urgency=high

  * Remove cache file before filling it for idempotency (in particular
    to avoid reuse of imap entries in the ipop cache file generated at
    failed attempts to install broken 7:2002edebian1-6.1).
  * Fix postinst of daemon packages to only append binary when adding to
    inetd, not when enabling (the space in front of the binary is what
    you've all seen as "The service name may not include a whitespace
    character!"). This closes: bug#301727, 301926, 302302 (thanks to
    Paul Traina <reportbug@st04.pst.org>, Michael R Head
    <burner@suppressingfire.org> and especially to Wen-chien Jesse Sung
    <jesse@cola.voip.idv.tw> for insisting in something being wrong).
  * ...and now that the code actually works, it reveals that debconf
    choices are ignored except at initial install. So add another
    debconf question on enforcing debconf choices or not.
  * Handle disabling ports through debconf (if enforced). If unenforced,
    emit a warning (this is getting pretty ugly).
  * Setting urgency=high to (hopefully) straighten out the last mess of
    bug#295306.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Mar 2005 11:07:24 +0200

uw-imap (7:2002edebian1-8.0.jones.2) unstable; urgency=low

  * Change per-package names from "_*.in" to "*._in" to simplify regex.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Mar 2005 22:51:16 +0200

uw-imap (7:2002edebian1-8.0.jones.1) unstable; urgency=low

  * Lower priority only for libc-client-dev. Revert default to optional.
  * Unite debconf daemon handling in single files in source, to avoid
    future NMU bugs like the one created in -6.1 (mistaking the daemon).
  * When packaging, avoid too deep searches for files to sed.
  * Add README.build to source documenting special filenames.
  * Use cdbs for basic CFLAGS setup.
  * Avoid installing upstream README (it is more a README.build).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Mar 2005 12:40:22 +0200

uw-imap (7:2002edebian1-8) unstable; urgency=high

  * Oddly enough, last upload disappeared while processed. Bumping up
    version number instead of risking more trouble and delay. This still
    closes: bug#295306, #301213.
  * Changing priority to extra to follow libkrb5-dev and comerr-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Mar 2005 03:20:41 +0200

uw-imap (7:2002edebian1-7) unstable; urgency=high

  * Acknowledge NMU. Closes: bug#295306 (thanks to Steve Langasek
    <vorlon@debian.org> and others helping out).
  * Fix patch in NMU to not fail in preinst if grep provides no result.
    Closes: bug#301213 (thanks to Adam Sjøgren <asjo@koldfront.dk> and
    Rene Konasz <oe4@gmx.at> for reporting, and Darren Salt
    <linux@youmustbejoking.demon.co.uk> and Steve Langasek
    <vorlon@debian.org> for help fixing).
  * Fix grep'ing for imap in prerm of ipopd.
    WARNING: If you've managed
  * Adjust indenting of NMU patch to coding style of remianing scripts.
  * Set urgency=high for same reason as the NMU.
  * Respect the word "reasonable" in Debian Policy about enabling
    warnings: Suppress excessive but seemingly non-fatal warnings to
    easer spot more important ones.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Mar 2005 01:02:28 +0100

uw-imap (7:2002edebian1-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Handle inetd.conf correctly on upgrades, to not lose local
    configuration changes; thanks to Pierre Habouzit
    <pierre.habouzit@m4x.org> and Adeodato Simó <asp16@alu.ua.es> for
    their work on this fix (closes: #295306).

 -- Steve Langasek <vorlon@debian.org>  Mon, 21 Mar 2005 04:59:48 -0800

uw-imap (7:2002edebian1-6) unstable; urgency=high

  * Fix CERT security bug VU#702777: CRAM-MD5 authentication (disabled
    by default in Debian) would always grant access after 4 failed
    attempts. This closes: bug#292606, #293418 (thanks to Tomas Pospisek
    <tpo_deb@sourcepole.ch> for first reporting it and Martin Schulze
    <joey@infodrom.org> for providing a patch).
  * Set urgency=high due to above security fix.
  * Update local cdbs snippets:
    + buildinfo.mk: Make it actually work (tie to proper targets).
    + debhelper.mk: Add CDBS_BUILD_DEPENDS.
    + bts.mk: Make a test more quiet.

 -- Jonas Smedegaard <dr@jones.dk>  Thu,  3 Feb 2005 20:22:23 +0100

uw-imap (7:2002edebian1-5) unstable; urgency=low

  * Stop messing with with /etc/c-client.cf using debconf (giving up -
    cannot figure out a solid set of routines). Closes: bug#273687,
    #239537 (thanks to all reporting the issue over time).
  * Depend on (not only recommend) debconf and remove fallback for
    libc-client, to obey Debian Policy 3.10.1.
  * Improve logcheck rules (wonder why I didn't need this myself).
    Closes: bug#271569, #277696 (thanks to Will Deutsch
    <wdeutsch@pqbon.com> and Wouter de Vries
    <w.l.devries@student.tudelft.nl>).
  * Correct typo in mailutil manpage. Closes: bug#251910 (thanks to
    Markus Järvinen <mkj@iki.fi>).
  * Refer to current location of library in NEWS (not the location at
    the time of breaking the news). Closes: bug#276460 (thanks to Calum
    Mackay <calum.mackay@cdmnet.org>).
  * Correct french (fr) l12n typo, and make protocol names
    untranslatable. Closes: bug#277055 (thanks to Alexandre Fayolle
    <alexandre.fayolle@logilab.fr> and Christian Perrier
    <bubulle@debian.org>).
  * Add Czech (cs) l12n. Closes: bug#287306 (thanks to Miroslav Kure
    <kurem@upcase.inf.upol.cz>).

 -- Jonas Smedegaard <dr@jones.dk>  Mon,  3 Jan 2005 14:39:10 +0100

uw-imap (7:2002edebian1-4) unstable; urgency=high

  * Add/update debconf l12n, superseding non-maintainer upload. Closes:
    bug#275226 (thanks to Denis Barbier <barbier@debian.org>).
    + Japanese (ja) updated. Closes: bug#241804 (thanks to Kenshi Muto
      <kmuto@debian.org>).
    + French (fr) added. Closes: bug#241986 (thanks to Christian Perrier
      <bubulle@debian.org>).
    + Catalan (ca) updated. Closes: Bug#248762 (thanks to Aleix Badia i
      Bosch <a.badia@callusdigital.org>).
    + Turkish (tr) added. Closes: bug#249129 (thanks to Recai Oktas
      <roktas@omu.edu.tr> and Mehmet Turker).
    + Brazilian Portuguese (pt_BR) added (or updated, actually: It seems
      to have fallen out at some point - sorry about that!). Closes:
      bug#267322 (thanks to Andre Luis Lopes <andrelop@debian.org>).
    + German (de) added. Closes: bug#267674 (thanks to Erik Schanze
      <schanzi_usenet@gmx.de>).
    + Danish (da) updated. Closes: bug#275980 (thanks to Morten Brix
      Pedersen <morten@wtf.dk>).
    + Spanish (es) added. Closes: bug#276285 (thanks to Carlos Galisteo
      <cgalisteo@k-rolus.net>).
  * Begin using cdbs:
    + Build-depend on cdbs.
    + Include localbuildinfo.mk snippet and build on dh-buildinfo.
    + Use simple-patchsys.mk and drop local cbs make snippet.
    + Use debhelper.mk and simplify debian/rules greatly.
    + Include a few additional cdbs snippets helpful for backporting.
    + Avoid using makefile.mk this close to sarge release!
  * Add debian/NEWS with notes on secure-only connections and dropped
    Maildir-support.
  * Apply patch 11_manpages_are_not_local.diff to please lintian.
  * Update TODO.Debian - and rename to TODO in source to make sure it
    gets included (although only in uw-imaps package) by dh_installdocs.
  * Change 2002 and 2003 to __VER__ a few places in README.Debian files.
  * Parse Debian version more cleverly: Reuse simply expanded variables.
    Also, add UPSTREAMVER and use it to automatically update watch file.
  * Attempt asking both debconf questions in libc-client postinst.
    Closes: Bug#229842 (thanks to Jay Berkenbilt <ejb@ql.org>).
  * Add note in libc-client.postconf explaining the use of printf.
  * Improve logcheck rules. Closes: Bug#244324 (thanks to Paul Traina).
  * Check for up-to-date deban/rules before patching.
  * Cleaned up debian/copyright:
    + Replace info contained in changelog with note on "GNU systems".
    + Declare each topic more strictly.
    + Mention "licensing info" together with copyright.
    + Add (historical) copyright info of Stanford University.
  * Correct dependency for transition packages, and shorten description.
  * Tighten build-dependency on debhelper to please lintian.
  * Set urgency=high as we want this in sarge.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Oct 2004 17:56:46 +0200

uw-imap (7:2002edebian1-3) unstable; urgency=low

  * Have libc-client-dev be priority optional.
  * Add japanese debconf localisation. Closes: Bug#224766 (thanks to
    Kenshi Muto <kmuto@debian.org>).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Mar 2004 17:14:32 +0100

uw-imap (7:2002edebian1-2) unstable; urgency=low

  * Change order of po2debconf and local version hack, for the packaging
    l12n to look more sane from the outside. Closes: Bug#235172, thanks
    to Martin Quinson <Martin.Quinson@tuxfamily.org>.
  * Correctly check for a debconf response of "true" (not "yes") to the
    question of enabling plaintext passwords. Closes: Bug#227709,
    231115 (thanks to John McMonagle <johnm@advocap.org> and Stefan
    Andersson <stefan@ryo-ohki.mine.nu>).
  * The above also closes: Bug#190727 (thanks to Ryan Sinn
    <ryan@sinn.org>). In fact it only resolves the problem mentioned
    last - the main part is unreproducible and not due to purging the
    replaced package as I first suspected).
  * Recommend exim4 instead of exim. Closes: Bug# 228566 (thanks to Marc
    Haber <mh+debian-packages@zugschlus.de>).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Mar 2004 15:46:41 +0100

uw-imap (7:2002edebian1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches applied upstream (without mentioning their origin!!):
  * Adapt patches to the new release (some patches adopted upstream -
    the rest is disliked upstream, but at least name them well for
    others to adopt):
    + 01_shlib.diff: Several updates/corrections:
      - Correctly read "ARCHIVENAME" (not "$ARCHIVENAME"), and make a
        note in TODO about checking if this allows for further cleanup
      - Have new target lnps match changes to old target lnp
      - Add new target ldbs to toplevel Makefile, as BUILDTYPE is not
        overridable in ldb target.
      - Remove unused compile option "-DNFSKLUDGE"
    + 02_mailutils.diff: Rename to 02_mailutils_use_shlib.diff
    + 03_portability.diff: Dropped (applied upstream)
    + 04_cppfix.diff: Dropped. Instead a note is added to README.Debian
      in the libc-client-dev package recommending to use compile flag
      "-fno-operator-names" when compiling with g++ (as suggested - in a
      tiny note buried in the source - by upstream)
    + 05_debian-customization.diff: Split in three parts:
      - Drop compile tweaks in favor of using new "ldb" make target.
      - Rename relevant parts into 03_avoid_hardcoded_optimizaion.diff
      - Rename remains into 04_no_binaries_below_etc.diff
    + 06_limited_advertise.diff: Dropped (applied upstream)
    + 08_ssl.diff: Dropped (as intended in 7:2002ddebian1-3)
    + 09_kerberos.diff: Droped in favor of enabling Kerberos V support
      at compile time (as suggested by upstream in Makefile comment).
    + 99_needed_for_pine_smime_support.diff: Dropped (applied upstream)
    + 99_separate_ssl_key_dir.diff: Dropped (applied upstream)
  * Update TODO.Debian.
  * Change libc-client-dev to section=extra (to match libkrb5-dev and
    comerr-dev).
  * Correct pointers to libc-client in README.Debian of uw-imapd and
    ipopd.
  * Only warn once about dropped Maildir support. Closes: Bug#214508.
  * Correct typo in debconf question (thanks to Andreas Rottmann
    <rotty@debian.org>). Closes: Bug#208571.
  * Update danish translation.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Dec 2003 03:27:41 +0100

uw-imap (7:2002ddebian1-4) unstable; urgency=medium

  * Remove RCS directory causing trouble on autobuilders (closes:
    Bug#212209).
  * Setting urgency=medium as the above should change nothing in the
    result packages, and is holding them from reaching testing.
  * Correction: 08_ssl.diff is not yet removed, as stated below for
    7:2002ddebian1-3 (it is only cosmetic, and requires changes to
    99_separate_ssl_key_dir.diff which will be removed on next upstream
    release anyway).
  * change -dev package to the generic libc-client-dev, and replace
    libc-client4.7-dev (this should hopefully make life easier again for
    build-dependencies of other packages - sorry for the mess).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Sep 2003 10:31:34 +0200

uw-imap (7:2002ddebian1-3) unstable; urgency=low

  * Adapt to new PAM structure, and depend on libpam-runtime (>= 0.76-
    13.1).
  * Fix watch file to compare with non-debian version number.
  * Debian Policy 3.6.1.
  * Build using the gcc option -D_REENTRANT (required by Debian Policy
    chapter 10.2.).
  * Build using the gcc option -Wl,-z,defs (suggested by Debian Policy
    chapter 10.2.).
  * Patch cleanups as recommended by Mark Crispin (upstream author) and
    Jaldhar H. Vyas (former maintainer):
    + time.h inclusion in auth_md5.c (no longer needed).
    + NETSCAPE_BRAIN_DAMAGE and ENTOURAGE_BRAIN_DAMAGE ("Should not be
      necessary, and disables an important client debugging feature").
    + tmp array and myHomeDir paranoia (relates to old fixed bugs).
    + SSLTYPE=unix.nopwd (no longer relevant).
    + 08_ssl.diff removed (options added to toplevel Makefile instead)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Aug 2003 04:11:06 +0200

uw-imap (7:2002ddebian1-2) unstable; urgency=high

  * enable compile-time option restrictedBox to disallow paths beginning
    with .. or / (closes: Bug#198560). Set urgency=high.
  * Correct watch file, and include it in version update semi-
    automation.

 -- Jonas Smedegaard <dr@jones.dk>  Fri,  4 Jul 2003 20:01:38 +0200

uw-imap (7:2002ddebian1-1) unstable; urgency=low

  * New upstream stable release.
  * Seems the 2003 branch will stay unstable, so use yet another epoch
    and get back to the stable branch (which is in fact identical to
    newest unstable release except for the nntp code).
  * Drop Maildir patch. The code has always been buggy, is unsupported
    upstream and hasn't been maintained for several years. In addition,
    it may be the cause of security issues. Closes: Bug#159871, 188351.
    The code and texts related to Maildir is kept in the source package
    for those interested in recompiling locally, but is no longer
    officially supported by Debian.
  * Warn on upgrade about dropped Maildir support.
  * Tweak po2debconf handling to support backporting to woody (thanks to
    Colin Watson for similar tweaks to openssh).
  * Make both libc-client questions boolean, lower debconf dependency to
    only a recommendation, and fallback to simple echo'ing when not
    available. Override lintian warning about it.
  * Drop using {misc:Depends}, as it dublicates the po2debconf hack.
  * Drop irrelevant use of ${shlibs:Depends} for -dev package as well.
  * Recommend mail-transport-agent for ipopd (as done with uw-imapd).
  * Lower libc-client dependency on uw-mailutils to suggests (not
    recommends).
  * Improve wording in libc-client debconf template and README about
    plaintext authentication.
  * Fix cbs snippet to unpatch in reverse order. Closes: Bug#180701
    (thanks to Kenshi Muto).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 May 2003 17:51:35 +0200

uw-imap (6:2003debian0.0304182231-1) unstable; urgency=low

  * New upstream development snapshot.
    + Fix recognizing INBOX in mbox driver.
    + Fix resolving myMailboxDir (Setting mail-subdirectory in
      /etc/c-client.cf is now fully respected, so closes: Bug#153120).
    + Documentation update: rfc3516 is no longer a draft (not packaged).
    + Misc. small changes to non-Debian-related operating systems.
  * Use and buildepend on official d-shlibs again.
  * Build-depend on newer dephelper that properly supports (and itself
    pulls in build-dependency on) po-debconf.
  * Update 01_shlib.diff.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Apr 2003 15:55:59 +0200

uw-imap (6:2003debian0.0304071905-1) unstable; urgency=low

  * New upstream development snapshot.
  * Make sure /etc/c-client.cf is always initiated correctly if there.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  9 Apr 2003 02:26:52 +0200

uw-imap (6:2003debian0.0303251143-1) unstable; urgency=low

  * New upstream development snapshot
    + Update to internal documentation (not packaged).
    + Correctly check for INBOX, not just any ?NBOX.
    + Check for length of strings several places.
  * Move libc-client2003debian-dev to section libdevel.
  * Claim compliance with Policy 3.5.9 (no changes needed).
  * Add pt_BR debconf translation provided by André Luís Lopes
    <andrelop@ig.com.br>. This closes: Bug#185892.
  * Enable translation of even verbatim copied debhelper choices to
    please lintian.
  * Correctly translate *.template.in files. Provide debian/update-po
    script to do it semi-automatically later on.
  * Install source of mtest as example and drop building the binary at
    all. This closes: Bug#184638 (thanks to turgon@debian.org).
  * Switch debhelper hint from DH_COMPAT to debian/compat.
  * Correctly add plaintext hint to already existing /etc/c-client.cf.
    This closes: Bug#182779 (thanks to Robert CHERAMY
    <robert@cheramy.net>).
  * There's been no name clash since the cleanup in
    6:2003debian0.0302102043-1. This closes Bug#180755.

 -- Jonas Smedegaard <dr@jones.dk>  Tue,  8 Apr 2003 02:09:55 +0200

uw-imap (6:2003debian0.0303051641-2) unstable; urgency=low

  * Avoid removing /etc/c-client.cf on purge as the file is shared
    between all libc-clientXXX packages.
  * Rewrite documentation:
    + Add notes about manual removal of /etc/c-client.cf to
      README.Debian and debconf template.
    + Tweak layout of README.Debian files to be "conformant" with
      txt2html style.
    + Copy README.Debian notes about PAM and CRAM-MD5 from ipopd to
      imapd.
    + Clarify POP2 topic.
    + Rewrite libc-client debconf template to not talk about the past,
      and refer to the documentation for details.
  * Change recommended ipopd choices from pop3 to both pop3 and pop3s,
    and similarly with imap2 and imaps.
  * Use (and build-depend on) po-debconf. Add danish debconf l10n file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Mar 2003 03:03:59 +0100

uw-imap (6:2003debian0.0303051641-1) unstable; urgency=low

  * New upstream developer snapshot.
  * Add kerberos LDFLAGS to debian/patches/01_shlib.diff (and add a note
    in TODO.Debian about the lack of testing) and correct path to
    kerberos libraries in debian/patches/05_debian-customization.diff.
    This closes: Bug#183926 (thanks to Sergio Talens-Oliag
    <sto@debian.org>).
  * Use a local hacked copy of d-devlibdeps to properly deal with
    libkrb5-dev and comerr-dev.
  * Move optimization CFLAGS from upstream Makefile to debian/rules to
    support DEB_BUILD_OPTIONS.
  * Restore old changelog entries lost in the -ssl fork (include it in
    the source package only).
  * Add general introduction to c-client in extended description of
    c-client-related packages.
  * Claim compliance with Debian Policy 3.5.9.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Mar 2003 20:05:56 +0100

uw-imap (6:2003debian0.0302202017-1) unstable; urgency=low

  * New upstream developer snapshot.
  * Have libc-clientXXX-dev depend on libc-clientXXX (closes:
    Bug#183036, thanks to Adam Conrad <adconrad@0c3.net>).
  * Tighten debhelper sed magic to only deal with files.
  * Relax build-dependency on d-shlibs a bit (to leave room for
    unooficial bacports).
  * Remove bogus comments in debian/rules about revision numbers.

 -- Jonas Smedegaard <dr@jones.dk>  Sun,  2 Mar 2003 00:52:20 +0100

uw-imap (6:2003debian0.0302102043-1) unstable; urgency=low

  * New upstream snapshot.
  * New epoch: Interpret "version number" (for which the license has
    special demands) as only the first segment of the longer string used
    with snapshots and betas (as is done in the documentation).
    This is to allow naming snapshots and other irregular releases
    consistently with regular releases ones.
    It does not excuse my recent stupidity in packaging a developer
    snapshot (although one could argue that it provoked cleaning up for
    next sane excuse).
  * Change debian/rules to correctly recognize VERSION (including
    appending alphabetic character(s)).
  * Add a REVISION field for dealing with snapshots changing the library
    (no excuse for my current stupidity, but may come in handy if
    security cases like 2002a.dev.snap.0212051126 happens again, and
    library changes between snapshots).
  * Correct symlink in libc-client2003debian0 package.
    (Closes: Bug#180699).
  * Use the common debconf area "libc-client" instead of versioned
    string (only question is about a file shared among all versions of
    libc-client anyway).
  * Sync with latest CBS: avoid non-POSIX test syntax.
  * Use sed again to handle VERSION more automatic, and check for
    changes to debian/control (but still avoid editing it
    automatically!).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Feb 2003 00:48:25 +0100

uw-imap (5:2003.dev.snap.0301311011debian-2) unstable; urgency=low

  * Have uw-mailutils conflict with older uw-imapd and uw-imapd-ssl to
    ease upgrades from woody (thanks to Zed Pobre <zed@debian.org>).
    Closes: Bug#180512.
  * Fix watchfile (it still doesn't work however, but that's another
    story).
  * Remove a TODO about dynamic linking - it works correctly now :-).
  * Update copyright (only changes are the version and years covered).
  * Remove README.debian for libc-client2003-dev, as it speaks only
    about enabling SSL which is now enabled by default.
  * Debhelper files renamed for the c-client2002 -> c-client2003 shift
    (how embarrasing).
  * Replace 2002 -> 2003 in various Debian documentation and packaging
    files.
  * Refer to /var/mail in debian/mlock.pod, generate mlock.1 from that
    and build-depend on perl.
  * Install mtest only as example file as it according to the FAQ is
    "not something that you would install".
  * Remove obsolete dh_undocumented from debian/rules.
  * Add linda overrides.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2003 02:50:03 +0100

uw-imap (5:2003.dev.snap.0301311011debian-1) unstable; urgency=low

  * New upstream snapshot.
  * Libc-client changed, so bump up its name.
  * Fix ipopd postinst to generate proper certificate (thanks to Nikita
    V. Youshchenko <yoush@cs.msu.su>). This closes: Bug#179993, 180314.
  * Use official d-shlibdeps again, and bump up build-dependency.
  * Improve resolving  in debian/rules (upstream uses no dots but
    sometimes characters).
  * Update ipopd logcheck entries (ignore more errors due to lost
    connections from clients).

 -- Jonas Smedegaard <dr@jones.dk>  Sun,  9 Feb 2003 05:42:42 +0100

uw-imap (5:2002b.debian-5) unstable; urgency=low

  * Update local d-devlibdeps (and send a d-shlibs bugreport regarding
    the openssl errors). Closes: Bug#178629 (thanks to James Troup
    <james@nocrew.org>).
  * Correct symlinks to ipopd manpage. Closes: Bug#178208 (thanks to
    Remco Blaakmeer <j.blaakmeer@chello.nl>).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2003 04:02:29 +0100

uw-imap (5:2002b.debian-4) unstable; urgency=low

  * Fix linking against openssl (thanks to Adam Conrad
    <adconrad@0c3.net>). Closes: Bug#177719.
  * New hack to d-devlibdeps to support the above (also thanks to Adam
    Conrad). Bugreport filed against d-shlibs.
  * build-depend temporarily on bash (needed by d-devlibdeps).
  * Fix ipopd logcheck strings (match pop3 instead of pop).
  * Improve dialog regarding plaintext passwords to explicitly mention
    cramd-md5 passwords (thanks to Tom Allison <tallison@tacocat.net>).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Jan 2003 20:48:23 +0100

uw-imap (5:2002b.debian-3) unstable; urgency=low

  * Really teach logcheck about APOP (added it to the wrong string).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Jan 2003 19:17:59 +0100

uw-imap (5:2002b.debian-2) unstable; urgency=low

  * Correct permisions for mlock.
  * Teach logcheck about APOP login (thanks to Carlos Perelló Marín
    <carlos@gnome-db.org>). Closes: Bug#177268.
  * Hack to maildir patch hopefully fixing Bug#108719 (please test).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Jan 2003 18:24:11 +0100

uw-imap (5:2002b.debian-1) unstable; urgency=low

  * New upstream release.
  * Repackage using debhelper v4, d-shlibs and (for now only patching
    rules from) Colin's Build System (instead of DBS and debhelper v2).
  * Avoid automatic update of debian/control during build (fail instead
    if libc-client-dev version is out of sync).
  * Copyright updates:
    + Use non-symlinked source URL
    + Remove irrelevant (and outdated) info on version contained
    + Add note that source was repackaged from upstream .tar.Z archive
    + Add credit notes about Maildir patch
    + Add Upstream Author (without email address)
    + Add links to additional info
    + Update license to refer to version 2002a of IMAP toolkit
  * Add TODO about improved certificate handling.
  * Updated logcheck files (thanks to Ivan Baldo <ibaldo@conatel.com.uy>
    for reminding me). Closes: Bug#176884.
  * Only change certificate permissions when creating them.
  * Remove libc-client2002 dependency on libssl and libkrb (it seems it
    is not dynamic linked to the library after all. Add an investigation
    to the TODO as well.
  * Use a local hacked copy of d-devlibdeps to properly deal with libpam
    and e2fsprogs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jan 2003 20:42:24 +0100

uw-imap (5:2002a.dev.snap.0212051126debian-5) unstable; urgency=low

  * Really change Maintainer field.

 -- Jonas Smedegaard <dr@jones.dk>  Sun,  5 Jan 2003 14:27:20 +0100

uw-imap (5:2002a.dev.snap.0212051126debian-4) unstable; urgency=low

  * Remove .orig and other cruft from patches.
  * Enable workaround for Entourage (better safe than sorry - it does no
    harm to conforming IMAP clients (or to Enourage).
  * Change Netscape workaround to redirect to page below my own Debian
    home (same content, tidy'ed and Jaldhar credited in source).
  * Improve auto-generated certificates, and be noisy about creating
    them (Encourage replacing them).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Dec 2002 17:50:06 +0100

uw-imap (5:2002a.dev.snap.0212051126debian-3) unstable; urgency=low

  * Package adopted, closes bug#174094. Thanks, Jaldhar, for doing such
    a great job (i'll wait a bit switching to dovecot myself).
  * Changing maintainer field.
  * Correct SSLCERTS path (The wrong path is symlink'ed by openssl to
    the right location, so it is only cosmetic: it shows up in logfiles.
  * Add patch to locate SSL keys in /etc/ssl/private (with fallback to
    the old location for self signed keys).
  * Add patch to support body cleanup in c-client (c-client part of Pine
    S/MIME patch needed when linking dynamically).
  * Avoid removing certificate on purge, just warn if it exists (we have
    no way of knowing wether it is ours to remove). Closes bug#161212
    (thanks to Chris Brown <chrisb@chibi.ca>).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Dec 2002 07:54:47 +0100

uw-imap (5:2002a.dev.snap.0212051126debian-2) unstable; urgency=low

  * libc-client2002-dev: libkrb5-dev added to depends.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 16 Dec 2002 10:09:05 -0500

uw-imap (5:2002a.dev.snap.0212051126debian-1) unstable; urgency=high

  * New upstream version.
  * [SECURITY] fixes buffer overflow that could result in an authenticated 
    user getting a shell.
  * ipopd-ssl: Corrected typos in description (Closes: #167874)
  * Added documentation for POP2 not supporting plaintext logins
    (Closes: #169318)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 13 Dec 2002 10:25:01 -0500

uw-imap (4:2002rc10debian-1) unstable; urgency=low

  * Ok this is the release which will be uploaded to Debian.
  * New upstream version.
  * I've changed my mind again.  plaintext authentication will be disabled
    by default but libc-client2002 will ask you via debconf if you want to
    use the config file to allow it (See
    /usr/share/doc/libc-client2002/README.Debian.)
  * proper dependencies for kerberos stuff added.
  * Closes: #152219, #150190, #164943, #164454, #16785
    see previous changelog entries for details.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri,  1 Nov 2002 15:23:28 -0500

uw-imap (4:2002rc8debian-1) unstable; urgency=low

  * New upstream version.
  * Fixed segfault in maildir driver.  Thanks Christoph Martin.
    (Closes: #152219)
  * Mailboxes should no longer be reported twice.  Thanks Bas Van Sisseren
    (Closes: #150190)
  * arch-independent packages built the right way. (Closes: #164943)
  * Documentation added for configuring various mail clients with SSL/TLS.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 21 Oct 2002 01:37:52 -0400

uw-imap (4:2002rc7debian-1) unstable; urgency=low

  * New upstream version.  SSL/TLS functionality is now built in so the
    old -ssl packages are obsolete.
  * WARNING: plaintext logins have been disabled for non SSL/TLS
    connections.  See /usr/share/doc/libc-client2002/README.Debian for
    further information. (Closes: #164454)
  * uw-imapd, ipopd: Kerberos support added. (Closes: #160785)
  * uw-imapd: The old chkmail, imapcopy, imapmove, imapxfer, mbxcopy,
    mbxcreat, and mbxcvt programs have been replaced by mailutil in a new
    package called uw-mailutils which also contains tmail and dmail.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 15 Oct 2002 14:01:34 -0400

uw-imap-ssl (4:2001adebian-7) unstable; urgency=low

  * Recompiled with the latest libssl
  * Some additional rules to quiet logcheck output.  Thanks Paul Traina.
    (Closes: #145958)
  * Added a note to README.Debian about IDLE support (or lack of it.)
    (Closes: #146733)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 16 Jun 2002 01:30:47 -0400

uw-imap-ssl (4:2001adebian-6) unstable; urgency=low

  * source re-uploaded and transferred to main.
  * uw-imapd-ssl:  Fixed typo in certificate creation in postinst.
    (Closes: #137196)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 23 Mar 2002 23:49:45 -0500

uw-imap-ssl (4:2001adebian-5) unstable; urgency=low

  * libc-client-ssl2001: Fix potential segmentation fault.  Thanks Hadmut Danisch.
    (Closes:  #128830)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 13 Jan 2002 15:10:04 -0500

uw-imap-ssl (4:2001adebian-4) unstable; urgency=high

  * Change location of mail spool to /var/mail as per policy.
    (Closes: #125314)
  * libc-client-ssl2001: Fix speeling mistake in description.
    (Closes: #124902)
  * The text which contained another spellink mistake doesn't exist 
    anymore.  (Closes: #125450)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 17 Dec 2001 23:26:08 -0500

uw-imap-ssl (4:2001adebian-3) unstable; urgency=high

  * The "Woodwards' Gripe Water" release.
  * Redid the patches.  This should fix the shared library problems
    (Closes: #121720, #121768, #121230)
  * uw-imapd-ssl: Removed pine from Suggests as it is no longer an
    official Debian package.
  * Changed occurences of /usr/doc to /usr/share/doc in READMEs.
    (Closes: #124081)
  * uw-imapd-ssl, ipopd-ssl: Fixed bad common name in autogenerated 
    certificate (Closes: #124115)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 17 Dec 2001 13:49:08 -0500

uw-imap-ssl (4:2001adebian-2.1) unstable; urgency=low

  * Test to see if we have fixed the shared library problems.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 10 Dec 2001 15:05:11 -0500

uw-imap-ssl (4:2001adebian-2) unstable; urgency=low

  * uw-imapd-ssl: Added imap3 service to inetd.conf for those clients that 
    need it.  See /usr/share/doc/uw-imapd-ssl/README.Debian for info on 
    turning it off if you don't need it.  (Closes: #120524)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 22 Nov 2001 12:51:13 -0500

uw-imap-ssl (4:2001adebian-1) unstable; urgency=low

  * New upstream release.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 19 Nov 2001 03:09:17 -0500

uw-imap-ssl (2:2001a.rc4debian-1) unstable; urgency=high

  * New upstream release.
  * libc-client-ssl2001-dev:  Dependency on libssl-dev added.
    (Closes: #118953)
  * libc-client-2001: making of shlibs improved.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 15 Nov 2001 22:31:59 -0500

uw-imap-ssl (2:2001a.rc2debian-1) unstable; urgency=low

  * New upstream release.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 23 Oct 2001 23:45:51 -0400

uw-imap-ssl (1:2001rc1debian-1) unstable; urgency=high

  * New upstream release.
  * Source reworked to use dbs.  There wasn't much in the way of
    documentation so let me know if there were any errors with this.
  * Brand new all-singing, all-dancing, maildir patch from Miquel Van
    Smoorenburg.
  * Also a patch from Miquel for just advertising private and shared
    namespaces.  See /usr/share/doc/libc-client-ssl2001/README.Debian for 
    details.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 28 Sep 2001 06:03:55 -0400

uw-imap-ssl (1:2001beta010722debian-4) unstable; urgency=high

  * shared libs need to be linked with gcc, not ld. (Closes: #108091)
  * for maildirs INBOX should be ~/Maildir.
  * Most existing maildir problems should be fixed at this point.
    (Closes: #46557, #59546, #97432, #104208) Maildir users please test
    and if there are still issues reopen the bugs or file new ones.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 10 Aug 2001 10:58:07 -0400

uw-imap-ssl (1:2001beta010722debian-3) unstable; urgency=high

  * uw-imapd-ssl: Fixed wrapped lines in logcheck filter (Closes: #107726)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon,  6 Aug 2001 01:34:13 -0400

uw-imap-ssl (1:2001beta010722debian-2) unstable; urgency=low

  * libc-client-ssl2001: sysinbox() was only looking at ~/Mailbox not 
    /var/mail/$USER.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 31 Jul 2001 11:19:37 -0400

uw-imap-ssl (1:2001beta010722debian-1) unstable; urgency=low

  * New upstream version.  Apologies for the hideous version number.
    Despite the 'beta' this is actually the current stable version. (Go figure.)
  * uw-imapd-ssl: linked imapcopy.1 to imapmove.1 (Closes: #99574)
  * uw-imapd-ssl: You shouldn't get the message "Can't create mailbox node
    ~/mbox: File exists." anymore (Closes: #66605, #71111)
  * uw-imapd-ssl: New feature in this version should fix problems with
    Outlook, Outlook Express (Closes: #73017, #80574)
  * libc-client-ssl2001: fixed up struct SEARCHPGM member names so they
    work in ANSI C++. (Closes: #102844)
  * ipopd-ssl: Added a filter for logcheck (Closes #100899)
  * uw-imapd-ssl:  Added a note warning the provided certificate  will expire 
    in a year.  (Closes: #99072)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 30 Jul 2001 10:20:02 -0400

uw-imap-ssl (1:2000cdebian-6) unstable; urgency=low

  * libc-client-ssl2000:  Changed shared lib build method (Closes: #98649)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 24 May 2001 20:17:13 -0400

uw-imap-ssl (1:2000cdebian-5) unstable; urgency=high

  * uw-imapd-ssl:  Fixed typo in postinst which prevented certificate from
    being generated. (Closes: #97286)
  * uw-imapd-ssl: Added a filter for logcheck (Closes: #97742)
  * uw-imapd-ssl,ipopd-ssl: Now we just update inetd entries not remove 
    and then readd them (Closes: #98444)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 24 May 2001 00:25:11 -0400

uw-imap-ssl (1:2000cdebian-4) unstable; urgency=low

  * I've not had time to do all the work on this package that I want to
     but I thought I'd at least fix some of the easier bugs in the
     meantime.
  * libc-client-ssl2000-dev: conflicts with libc-client4.7-dev
    (Closes: #92426)
  * uw-imapd-ssl,ipopd-ssl: added dependency on openssl (Closes: #93257,#93690)
  * uw-imapd-ssl,ipopd-ssl: generated certificate now expires after 365 days
    instead of 30 (Closes: #95585)
  * libc-client-ssl2000:  Hopefully fixed, . and .. showing up as mail in
    maildirs
  * New maildir patch from http://greboguru.org/qmail/

 -- Jaldhar H. Vyas <jaldhar@jyoti.braincells.com>  Tue,  8 May 2001 10:00:32 -0400

uw-imap-ssl (1:2000cdebian-3) unstable; urgency=high

  * Backed out Tollefs' patch while I investigate why it isn't working
    for some people.  Unfortunately my mail server has chosen this moment
    to blow up so I have no email and can't respond to the bug submitters.
    Rest assured I will do so as soon as I can.  Meanwhile this should at
    least solve your immediate problems.  If it doesn't please mail the 
    debian-devel mailing list.  I'll read it through the web interface.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 31 Mar 2001 00:07:08 -0500

uw-imap-ssl (1:2000cdebian-2) unstable; urgency=low

  * uw-imapd-ssl,ipod-ssl: Added a dependancy for openssl so we have
    /etc/ssl/certs (closes: #90175)
  * libc-client-ssl2000:  Add patch to make it respect $MAIL when
    returning mailbox (Thanks Tollef Fog Heen) (Closes: #55206)
  * Updated to latest policy version/build dependencies.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 23 Mar 2001 02:14:01 -0500

uw-imap-ssl (1:2000cdebian-1) unstable; urgency=low

  * New upstream release

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 13 Feb 2001 01:13:09 -0500

uw-imap-ssl (1:2000bdebian-2) unstable; urgency=high

  * ipopd-ssl: fixed broken line in postrm (Gaah! I've got to stop using pico) 
    (closes: #84023)
  * remove -L/usr/lib from Makefile.ssl which caused problems for autobuilders
    (closes: #83792, #84001)
 -- Jaldhar H. Vyas <jaldhar@jyoti.braincells.com>  Mon, 29 Jan 2001 10:21:23 -0500

uw-imap-ssl (1:2000bdebian-1) unstable; urgency=high

  * New upstream release
  * linked against the latest SSL libraries (Closes: #82191, #82274)
  * removed extra newline in postrm (Closes: #82936)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 21 Jan 2001 01:01:23 -0500

uw-imap-ssl (2000debian-3) unstable; urgency=low

  * I will get these dependencies correct one day dammit
  * Properly link to SSL libraries now.
  * Corrected error in shlibs file for libc-client-ssl2000

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 25 Nov 2000 02:40:19 -0500

uw-imap-ssl (2000debian-2) unstable; urgency=low

  * Fixed bad dependencies 

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 15 Nov 2000 09:47:17 -0500

uw-imap-ssl (2000debian-1) unstable; urgency=low

  * New package with SSL support compiled in.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 14 Nov 2000 15:46:35 -0500
